PlanBuilderException
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.impl.planbuilders
Class PlanBuilderException

    java.lang.Object
      GCUBEFault
          org.gcube.vremanagement.resourcebroker.impl.planbuilders.PlanBuilderException

    public class PlanBuilderException

extends GCUBEFault

The only kind of exceptions that can be thrown during decision planning. Internally contains the message to return encapsulated inside the `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanResponse` returned to the requester.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`PlanBuilderException(PlanExceptionMessages errCode)`
`PlanBuilderException(PlanExceptionMessages errCode, PackageGroup position)` If during the deployment phase the exception is thrown in a well precise PackageGroup node, it is passed here as parameter so that the error message of the returned `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanResponse` gives a detailed information about the node where the failure has arisen.
`PlanBuilderException(PlanExceptionMessages errCode, PackageGroup position, java.lang.String message)` Similar to the `PlanBuilderException(PlanExceptionMessages, PackageGroup)` with an additional parameter giving additional information about the failure.
`PlanBuilderException(PlanExceptionMessages errCode, java.lang.String message)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getMessage()`
`PackageGroup` | `getPosition()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlanBuilderException

    public PlanBuilderException(PlanExceptionMessages errCode)

### PlanBuilderException

    public PlanBuilderException(PlanExceptionMessages errCode,
                                java.lang.String message)

### PlanBuilderException

    public PlanBuilderException(PlanExceptionMessages errCode,
                                PackageGroup position)

  If during the deployment phase the exception is thrown in a well precise PackageGroup node, it is passed here as parameter so that the error message of the returned `org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanResponse` gives a detailed information about the node where the failure has arisen.

  Parameters:
    `errCode` - a pre-built error message `PlanExceptionMessages` to return to the requester inside the response
    `position` - the `PackageGroup` node where the failure happened.

### PlanBuilderException

    public PlanBuilderException(PlanExceptionMessages errCode,
                                PackageGroup position,
                                java.lang.String message)

  Similar to the `PlanBuilderException(PlanExceptionMessages, PackageGroup)` with an additional parameter giving additional information about the failure.

Method Detail

### getPosition

    public final PackageGroup getPosition()

### getMessage

    public final java.lang.String getMessage()

### equals

    public final boolean equals(java.lang.Object obj)

### hashCode

    public final int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD